Bug 869391 - LUKSError: luks device has no key/passphrase
LUKSError: luks device has no key/passphrase
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:19c5526cf0e7efeed756de1fc73...
:
Depends On:
Blocks: F18Beta/F18BetaBlocker
  Show dependency treegraph
 
Reported: 2012-10-23 14:52 EDT by Reartes Guillermo
Modified: 2012-11-08 04:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 04:14:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (345.84 KB, text/plain)
2012-10-23 14:52 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-23 14:52 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-23 14:52 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-23 14:52 EDT, Reartes Guillermo
no flags Details
File: storage.log (176.12 KB, text/plain)
2012-10-23 14:53 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-23 14:53 EDT, Reartes Guillermo
no flags Details
File: environ (780 bytes, text/plain)
2012-10-23 14:53 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (5.64 KB, text/plain)
2012-10-23 14:53 EDT, Reartes Guillermo
no flags Details
File: syslog (68.21 KB, text/plain)
2012-10-23 14:53 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-23 14:53 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.43 KB, text/plain)
2012-10-23 14:53 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-23 14:53 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-23 14:53 EDT, Reartes Guillermo
no flags Details
File: program.log (50.41 KB, text/plain)
2012-10-23 14:53 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-23 14:52:35 EDT
Description of problem:
i was able to start installing with an empty <null> luks password. (! wOw !)

Version-Release number of selected component:
anaconda-18.19

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.19 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/luks.py", line 189, in create
:    raise LUKSError("luks device has no key/passphrase")
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 439, in execute
:    options=self.device.formatArgs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 323, in processActions
:    action.execute()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 357, in doIt
:    self.devicetree.processActions()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 195, in turnOnFilesystems
:    storage.doIt()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 107, in doInstall
:    turnOnFilesystems(storage)
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:LUKSError: luks device has no key/passphrase
Comment 1 Reartes Guillermo 2012-10-23 14:52:48 EDT
Created attachment 632301 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-23 14:52:51 EDT
Created attachment 632302 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-23 14:52:53 EDT
Created attachment 632303 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-23 14:52:56 EDT
Created attachment 632304 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-23 14:53:02 EDT
Created attachment 632305 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-23 14:53:05 EDT
Created attachment 632306 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-23 14:53:07 EDT
Created attachment 632307 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-23 14:53:10 EDT
Created attachment 632308 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-23 14:53:13 EDT
Created attachment 632309 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-23 14:53:16 EDT
Created attachment 632310 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-23 14:53:18 EDT
Created attachment 632311 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-23 14:53:20 EDT
Created attachment 632312 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-23 14:53:23 EDT
Created attachment 632313 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-23 14:53:26 EDT
Created attachment 632314 [details]
File: program.log
Comment 15 Steve Tyler 2012-10-30 12:29:37 EDT
When prompted for a LUKS passphrase, click continue.

Package: anaconda-18.19
OS Release: Fedora release 18-Beta-TC6
Comment 16 Steve Tyler 2012-10-30 12:43:23 EDT
(In reply to comment #15)
> When prompted for a LUKS passphrase, click continue.
> 
> Package: anaconda-18.19
> OS Release: Fedora release 18-Beta-TC6

Correction: Click "Save Passphrase".

What will happen during a kickstart install, if the passphrase is empty?
Cf: Bug 868519, Comment 22.
Comment 17 Michal Kovarik 2012-11-05 03:26:31 EST
Steps to Reproduce:
1. prepare disk without free space
2. start installation
3. on disks screen check 'Encrypt my data', click on Continue
4. Reclaim space, delete all partitions
5. begin installation

Expected:
Ask for password for encryption


Package: anaconda-18.24
OS Release: Fedora release 18-Beta-TC7
Comment 18 David Lehman 2012-11-05 11:03:36 EST
I have patches to fix this. I'll be sending them out for review later today.
Comment 19 Adam Williamson 2012-11-05 11:58:59 EST
Reproduced as described by Michal: if you check the 'Encrypt my data' box and then go through 'guided partitioning' to delete partitions and free up space, you are not prompted for an encryption passphrase at any point, and install crashes at the start of actual installation, when it's creating partitions.
Comment 20 Adam Williamson 2012-11-05 12:05:32 EST
Reproduced as described by Michal: if you check the 'Encrypt my data' box and then go through 'guided partitioning' to delete partitions and free up space, you are not prompted for an encryption passphrase at any point, and install crashes at the start of actual installation, when it's creating partitions.

Discussed at 2012-11-05 QA meeting acting as a blocker review meeting. Accepted as a blocker. At present our criteria don't cover this very well as they were written when you could only do encryption through custom partitioning, so it says:

"The installer's custom partitioning mode must be capable of the following: ... Creating encrypted partitions"

But the intention is just that install to encrypted partitions should work in general. So now newUI can encrypt without going through custom part, the criteria need updating, and this bug should be covered.
Comment 21 Fedora Update System 2012-11-05 20:37:48 EST
anaconda-18.25-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.25-1.fc18
Comment 22 Fedora Update System 2012-11-06 13:49:26 EST
Package anaconda-18.25-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.25-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17691/anaconda-18.25-1.fc18
then log in and leave karma (feedback).
Comment 23 Fedora Update System 2012-11-06 21:09:46 EST
anaconda-18.26-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.26-1.fc18
Comment 24 Adam Williamson 2012-11-07 18:50:27 EST
Confirmed fixed in 18.26, the dialog pops up right after you reclaim space.
Comment 25 Fedora Update System 2012-11-07 22:23:59 EST
anaconda-18.27-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.27-1.fc18
Comment 26 Adam Williamson 2012-11-08 04:14:32 EST
18.26 went stable. Closing. (Bodhi closing of bugs when updates go stable is currently broken).

Note You need to log in before you can comment on or make changes to this bug.